FROM python:3.9.6-buster

WORKDIR /usr/src/app
RUN apt-get update
RUN apt-get -y install gcc make python3-pip

RUN pip install -U setuptools pip
RUN pip install wheel

ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

RUN apt-get install -y ncbi-blast+ npm
RUN npm install -g csv2json

ADD requirements.txt /usr/src/app/requirements.txt
RUN pip install --no-cache-dir -r requirements.txt
COPY *.py /usr/src/app/
COPY *.sh /usr/src/app/

COPY db /usr/src/app/db

ADD header.txt /usr/src/app/header.txt
RUN chmod +x *.sh
